package tk.antoine_roux.wiki.model.response.secondary;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;

public class Image {
    public String name;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    public String alias;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    public List<String> command;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    public List<String> entrypoint;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    public Port ports;

    static class Port {
        @JsonInclude(JsonInclude.Include.NON_NULL)
        public String name;
        @JsonInclude(JsonInclude.Include.NON_NULL)
        public int number;
        @JsonInclude(JsonInclude.Include.NON_NULL)
        public String protocol;
    }
}
