package tk.antoine_roux.wiki.model.response.secondary;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.Map;

public class Secret {
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    public VaultSecret vault;

    public static class VaultSecret {
        public VaultServer server;
        public VaultEngine engine;
        public String path;
        public String field;
    }

    public static class VaultServer {
        public String url;
        public VaultAuth auth;
    }

    public static class VaultAuth {
        public String name;
        public String path;
        public Map<String, Object> data;
    }

    public static class VaultEngine {
        public String name;
        public String path;
    }
}
